Subject: Re: bug#39340: 26.3; "Noto Emoji" font not displayed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2020 14:46:35 +0200

> From: YAGI Tatsuya <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 01 Feb 2020 20:52:12 +0900
> 
> >> Starting another 'emacs -Q' and replacing the value of c to #x104A0,
> >> I got 104A0.txt.
> >
> > Thanks.  The log mentions "Unifont Upper" font.  What is it?  Can you
> > try uninstalling it?
> 
> GNU unifont is a bitmap font which covers most of unicode characters.
> "Unifont Upper" is a font for unicode-smp.
> 
> I uninstalled "Unifont Upper" and got 104A0-2.txt.
> OSMANYA DIGITs are not displayed yet.

Then I don't know what to make out of this, sorry.

Especially the part of font-log starting here puzzles me:

>  (current\ fallback:\ font\ for 66720 nil)

I don't understand why it falls back to "current fallback"; it doesn't
on my system.

I guess we've reached the limit of what I know about how Emacs looks
for fonts (which admittedly isn't too much).